heartbeat_client_free
heartbeat_client_new
heartbeat_client_start_service
heartbeat_client_t
heartbeat_error_t
heartbeat_receive
heartbeat_receive_with_timeout
heartbeat_send
HEARTBEAT_SERVICE_NAME

## heartbeat_client_new()

LIBIMOBILEDEVICE_API heartbeat_error_t heartbeat_client_new | ( | idevice_t | device,
|  | lockdownd_service_descriptor_t | service,
|  | heartbeat_client_t * | client )

Connects to the heartbeat service on the specified device.

Parameters

  device | The device to connect to.
  service | The service descriptor returned by lockdownd_start_service.
  client | Pointer that will point to a newly allocated heartbeat_client_t upon successful return. Must be freed using heartbeat_client_free() after use.

Returns
  HEARTBEAT_E_SUCCESS on success, HEARTBEAT_E_INVALID_ARG when client is NULL, or an HEARTBEAT_E_* error code otherwise.